<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
<title> KeithleyElectrometers Tango Class Commands </title>
</head>
<body text="Black" bgcolor="White" link="Blue" vlink="Purple" alink="Red">
<br><br><br><br>
<Table Border=2 Cellpadding=3 CELLSPACING=0>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
	<td colspan=5> <font size=+1> <center><b> KeithleyElectrometers Class Commands </b></font></center></td>
	<tr bgcolor="#CCCCFF" class="TableHeadingColor">
		<td> <center><b> Name </b></center> </td>
		<td> <center><b> Input type </b></center> </td>
		<td> <center><b> Output type </b></center> </td>
		<td> <center><b> Level </b></center> </td>
		<td> <center><b> Description </b></center> </td>
	</tr>
	<tr>
		<td> <a href="CmdState.html"> State </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STATE </td>
		<td> OPERATOR </td>
		<td> This command gets the device state (stored in its <i>device_state</i> data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdStatus.html"> Status </a> </td>
		<td> DEV_VOID </td>
		<td> CONST_DEV_STRING </td>
		<td> OPERATOR </td>
		<td> This command gets the device status (stored in its <i>device_status</i> data member) and returns it to the caller. </td>
	</tr>
	<tr>
		<td> <a href="CmdRangeUP.html"> RangeUP </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Up the range of the electrometer.<Br>
			Throw :<Br>
			- electrometer::ElectrometerException if the range limit is reached<Br>
			- Tango::DevFailed if the command cannot be performed </td>
	</tr>
	<tr>
		<td> <a href="CmdRangeDOWN.html"> RangeDOWN </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Down the range of the electrometer.<Br>
			Throw :<Br>
			- electrometer::ElectrometerException if the range is negative<Br>
			- Tango::DevFailed if the command cannot be performed </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoRangeON.html"> AutoRangeON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer auto range ON </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoRangeOFF.html"> AutoRangeOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer auto range OFF </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCheckON.html"> ZeroCheckON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero check ON </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCheckOFF.html"> ZeroCheckOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero check OFF </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCorrectON.html"> ZeroCorrectON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero correct ON </td>
	</tr>
	<tr>
		<td> <a href="CmdZeroCorrectOFF.html"> ZeroCorrectOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Command to switch the electrometer zero correct OFF </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoZeroON.html"> AutoZeroON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> To help maintain stability and accuracy over time and changes in temperature, the<Br>
			Model 6487 periodically measures internal voltages corresponding to offsets (zero) and<Br>
			amplifier gains. These measurements are used in the algorithm to calculate the reading of<Br>
			the input signal. </td>
	</tr>
	<tr>
		<td> <a href="CmdAutoZeroOFF.html"> AutoZeroOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> When autozero is disabled, the offset and gain measurements are not performed. This<Br>
			increases measurement speed up to three times. However, the zero and gain reference<Br>
			points can eventually drift resulting in inaccurate readings of the input signal. It is recommended<Br>
			that autozero only be disabled for short periods of time. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetAmperMeterMode.html"> SetAmperMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in AmperMeter mode </td>
	</tr>
	<tr>
		<td> <a href="CmdSetVoltMeterMode.html"> SetVoltMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in VoltMeter mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetOhmMeterMode.html"> SetOhmMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in OhmMeter mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetCoulombMeterMode.html"> SetCoulombMeterMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> If supported, this command switch the electrometer in Coulomb Meter mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdClearRegisters.html"> ClearRegisters </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Clear all registers. </td>
	</tr>
	<tr>
		<td> <a href="CmdAverageStateON.html"> AverageStateON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Enable digital filter </td>
	</tr>
	<tr>
		<td> <a href="CmdAverageStateOFF.html"> AverageStateOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Disable digital filter </td>
	</tr>
	<tr>
		<td> <a href="CmdClearBuffer.html"> ClearBuffer </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> This command clears all data previously stored. </td>
	</tr>
	<tr>
		<td> <a href="CmdStart.html"> Start </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Trigger one or more reading(s) </td>
	</tr>
	<tr>
		<td> <a href="CmdReset.html"> Reset </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Reset to factory settings </td>
	</tr>
	<tr>
		<td> <a href="CmdAbort.html"> Abort </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> SCPI command only<Br>
			Cancels all operations started by Start command </td>
	</tr>
	<tr>
		<td> <a href="CmdEnableSRQBufferFull.html"> EnableSRQBufferFull </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Sets Buffer Full bit in the MEASUREMENT REGISTER EVENT.<Br>
			To know if the integration is finished, check :<Br>
			- if the attribute isDataAvailable is true<Br>
			or<Br>
			- if the device state is STANDBY </td>
	</tr>
	<tr>
		<td> <a href="CmdDisableSRQBufferFull.html"> DisableSRQBufferFull </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Resets all events in the device registers. </td>
	</tr>
	<tr>
		<td> <a href="CmdGetKeithleyConfig.html"> GetKeithleyConfig </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Returns the Keithley DDC model configuration such as TriggerMode, mode, .... </td>
	</tr>
	<tr>
		<td> <a href="CmdGetRange.html"> GetRange </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Returns the electrometer range value. </td>
	</tr>
	<tr>
		<td> <a href="CmdSetRange.html"> SetRange </a> </td>
		<td> DEV_USHORT </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Sets the new electrometer range value. </td>
	</tr>
	<tr>
		<td> <a href="CmdGetMode.html"> GetMode </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_STRING </td>
		<td> OPERATOR </td>
		<td> Returns the electrometer mode. </td>
	</tr>
	<tr>
		<td> <a href="CmdGetIntegrationTime.html"> GetIntegrationTime </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_DOUBLE </td>
		<td> OPERATOR </td>
		<td> Returns the electrometer integration time (in seconds). </td>
	</tr>
	<tr>
		<td> <a href="CmdSetIntegrationTime.html"> SetIntegrationTime </a> </td>
		<td> DEV_DOUBLE </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Sets the new electrometer integration time value (in seconds). </td>
	</tr>
	<tr>
		<td> <a href="CmdVSourceOutputON.html"> VSourceOutputON </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Enables the V-SOURCE output </td>
	</tr>
	<tr>
		<td> <a href="CmdVSourceOutputOFF.html"> VSourceOutputOFF </a> </td>
		<td> DEV_VOID </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Disables the V-SOURCE output </td>
	</tr>
	<tr>
		<td> <a href="CmdSaveConfiguration.html"> SaveConfiguration </a> </td>
		<td> DEV_USHORT </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Save the Keithley configuration. </td>
	</tr>
	<tr>
		<td> <a href="CmdRestoreConfiguration.html"> RestoreConfiguration </a> </td>
		<td> DEV_USHORT </td>
		<td> DEV_VOID </td>
		<td> OPERATOR </td>
		<td> Restores the saved Keithley configuration, stored at the specified index. </td>
	</tr>
</table>
</body>
</html>
